
.main-container {
    width: min(100% - 2rem, 75rem);

    border-radius: var(--radius-lg);
    margin-top:12.8rem;
}
#submitInfoForm {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    gap:var(--space-2);
    align-items: center;
    padding: var(--space-2) var(--space-2);
}
/* radio button */
/* =============================================== */
label {
  display: flex;
  align-items: center;
  margin: var(--space-2) 0;
  cursor: pointer;
  position: relative;
  user-select: none;
}
.radio-input {
  display: none;
}

.radio-design {
  width: 2.2rem;
  height: 2.2rem;
  background-color: transparent;
  border: 2px solid #5c5e79;
  border-radius: 50%;
  position: relative;
  transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

.radio-design::before {
  content: "";
  position: absolute;
  width: 1rem;
  height: 1rem;
  background: #8a8b9f;
  border-radius: 50%;
  transform: scale(0);
  transition: all 0.3s cubic-bezier(0.23, 1, 0.32, 1);
}

.radio-design::after {
  content: "";
  position: absolute;
  width: 3.4rem;
  height: 3.4rem;
  border: 2px solid transparent;
  border-radius: 50%;
  border-top-color: #00a6ff;
  opacity: 0;
  transform: scale(0.8);
  transition: all 0.4s ease;
}

.label-text {
  font-size: 1.4rem;
  font-weight: 500;
  color: #fff;
  margin-right: var(--space-4);
  transition: color 0.3s ease;
}

.label:hover .radio-input:not(:checked) + .radio-design {
  transform: scale(1.1);
  border-color: #8a8daf;
}

.label:hover .label-text {
  color: #fff;
}

.radio-input:checked + .radio-design {
  border-color: #00a6ff;
  transform: scale(0.9);
}

.radio-input:checked + .radio-design::before {
  transform: scale(1);
  background-color: #00a6ff;
}

.radio-input:checked + .radio-design::after {
  opacity: 1;
  transform: scale(1.3);
  animation: orbit 2.5s infinite linear;
  box-shadow:
    0 0 30px #00a6ff,
    0 0 80px rgba(0, 166, 255, 0.2);
}

.radio-input:checked ~ .label-text {
  color: #fff;
  font-weight: 700;
}

#newProductLabel .radio-input:checked + .radio-design,
#newBrandLabel .radio-input:checked + .radio-design {
  border-color: #00ffc2;
  box-shadow: none;
}
#newProductLabel .radio-input:checked + .radio-design::before,
#newBrandLabel .radio-input:checked + .radio-design::before {
  background-color: #00ffc2;
}
#newProductLabel .radio-input:checked + .radio-design::after,
#newBrandLabel .radio-input:checked + .radio-design::after {
  border-top-color: #00ffc2;
  box-shadow:
    0 0 30px #00ffc2,
    0 0 80px rgba(0, 255, 194, 0.2);
}
.label .radio-input:checked ~ .label-text {
  color: #ffffff;
}



@keyframes orbit {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


/* product */
/* ========================================================= */
.product-container {
    border: 1px solid var(--primary-darker-4);
    border-radius: var(--radius-md);

    padding: var(--space-4);

    box-shadow: var(--shadow-dark-md);
}

.product-field {
    opacity: 1;
    max-height: 15rem;
    transform: translateY(0);
    overflow: hidden;

    transition:
        opacity 0.25s ease,
        max-height 0.25s ease,
        transform 0.25s ease;
}

.product-field.is-hidden {
    opacity: 0;
    max-height: 0;
    transform: translateY(-0.8rem);

    margin-top: 0;
    margin-bottom: 0;
    padding-top: 0;
    padding-bottom: 0;

    pointer-events: none;
}

#existingProductContainer{
    box-shadow:
    0 0 10px #00a6ff,
    0 0 80px rgba(0, 166, 255, 0.2);
}
#newProductContainer {
    box-shadow: 
    0 0 5px #00ffc2,
    0 0 80px rgba(0, 255, 194, 0.2);
}


/* brand */
/* ====================================================== */
.brand-container {
    border: 1px solid var(--primary-darker-4);
    border-radius: var(--radius-md);

    padding: var(--space-4);

    box-shadow: var(--shadow-dark-md);
}

.brand-field {
    opacity: 1;
    max-height: 15rem;
    transform: translateY(0);
    overflow: hidden;

    transition:
        opacity 0.25s ease,
        max-height 0.25s ease,
        transform 0.25s ease;
}

.brand-field.is-hidden {
    opacity: 0;
    max-height: 0;
    transform: translateY(-0.8rem);

    margin-top: 0;
    margin-bottom: 0;
    padding-top: 0;
    padding-bottom: 0;

    pointer-events: none;
}

#existingBrandContainer {
    box-shadow:
    0 0 10px #00a6ff,
    0 0 80px rgba(0, 166, 255, 0.2);
}
#newBrandContainer {
    box-shadow: 
    0 0 5px #00ffc2,
    0 0 80px rgba(0, 255, 194, 0.2);
}

/* ============================================ */

.form-field{
    display: flex;
    flex-direction: column;
    gap:var(--space-2);
    justify-content: center;
    align-items: center;

    margin: var(--space-4) 0;

    border: 1px solid var(--primary-darker-4);
    box-shadow: var(--shadow-dark-md);
    overflow: hidden;
    border-radius: var(--radius-md);

    padding: var(--space-2);
}

.form-field > label {
    font-size: 1.6rem;
    font-weight: 500;
    text-align: center;
    
    align-self: flex-start;

    margin-right: var(--space-4);
}

.form-field select,
.form-field option,
.form-field input {
    font-size: 1.3rem;
    font-weight: 500;
    height: 3.2rem;
}

.form-field:focus-within label{
    text-shadow: var(--shadow-sm);
}

.form-field:focus-within {
    box-shadow: var(--shadow-sm);
}


fieldset {
    margin-bottom: var(--space-4);
}

/* ------------------------ first name & last name ---------- */
.inquiry-info-container  div{
    margin:var(--space-4) var(--space-6)
}

legend {
    font-size: 1.6rem;
    color:var(--dark-back-1)
}

/*------------------------- phone numbers------------------- */
.contact-phones-container:focus-within {
    box-shadow: var(--shadow-sm);
}
.secondary-button {
    margin:var(--space-4) 0;
    
    background-color: var(--primary-3-darker-2);
    padding: var(--space-2) var(--space-4);

    display: flex;
    align-items: center;
    justify-content: center;
    gap:var(--space-4)
}

.secondary-button img {
    width: 2.4rem;
    height: 2.4rem;
}

.phone-contact-container .repeatable-list {
    display: flex;
    align-items: center;
    justify-content: flex-start;

}
.phone-row {
    margin: var(--space-4) 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap:var(--space-6)
}

.phone-row input{
    padding: var(--space-1) var(--space-2);
    height: 3.2rem;
    max-width: 32.4rem;
}

.phone-row button{
    background-color: var(--warning);
    padding: var(--space-2) var(--space-4);
    
}
/* ------------------------ prices ------------------------ */


#priceRows {
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, max-content));
    
    column-gap: var(--space-4);
    row-gap: var(--space-4);

    justify-content: start;
}



.price-row{
    display: flex;
    flex-direction: column;
    justify-content: center;
    box-shadow: var(--shadow-sm);
    border-radius: var(--radius-sm);
}

.price-row div {
    display: flex;
    align-items: center;
    margin:var(--space-4) var(--space-2)
}

.price-row div label{
    font-size: 1.4rem;
    width: 60%;
}

.price-row div input,
.price-row div select{
    height: 3.2rem;
}

.price-row div:focus-within label{
    text-shadow: var(--shadow-sm);
}

.price-row div input:focus-within,
.price-row div select:focus-within{
    box-shadow: var(--shadow-md);
}

.price-row > button {
    justify-self: flex-end;
    align-self: flex-end;
    background-color: var(--warning);
    padding: var(--space-2) var(--space-4);
    margin-bottom: var(--space-4);
    margin-left: var(--space-2);
}

.price-section > button {
    padding: var(--space-2) var(--space-4);
    background-color: var(--primary-3-darker-2);
    margin: var(--space-4) 0;
}

.price-section > button:hover,
.price-section > button:active{
    box-shadow: var(--shadow-sm);
}

/* --------------------- */

.business-date-notice {
    margin-top: var(--space-4);
    height: 6.4rem;
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: space-between;
}

.business-date-notice span{
    color:var(--danger);
    font-size: 1.7rem;
    font-weight: 300;
    text-align: center;
    text-decoration-line: underline;
    text-decoration-color: var(--primary-3-darker-1);
    text-underline-offset: 0.8rem;
    text-decoration-thickness: 0.3rem;
}


#submitInquiryButton{
    background-color: var(--primary-3-darker-2);
    margin: var(--space-8) auto;
    width: 60%;
    height: 3.2rem;
}

#submitInquiryButton:active,
#submitInquiryButton:hover{
    background-color: var(--primary-3-darker-1);    
}

@media (min-width: 480px){
    #submitInfoForm {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap:var(--space-8);
    align-items: center;
    padding: var(--space-2) var(--space-2);
    }

    .inquiry-info-container,
    .contact-phones-container,
    .price-section,
    .description-container,
    .business-date-notice,
    #submitInquiryButton {
        grid-column: 1 / -1;
    }

    #submitInquiryButton{
        width: 40%;
        height: 4.8rem;
        font-size: 2.2rem;
    }
}
@media (min-width: 720px) {
    .contact-phones-container{
        grid-column: 1 / 3;
    }
}
@media (min-width: 920px) {
    .main-container {
        width: min(100% - 2rem, 98rem);
    }
    #submitInfoForm {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(40rem, 1fr));
        column-gap:var(--space-8);
        row-gap: var(--space-4);
        align-items: center;
        padding: var(--space-2) var(--space-2);
    }

    .inquiry-info-container{
        grid-column: 1 / 3;
    }
    .contact-phones-container{
        grid-column: 1 /3;
    }
    

    .business-date-notice {
        display: inline;
        
        margin: 0 auto;
        padding: var(--space-2) 0;
        
        height: auto;
        width: 54rem;

        text-align: center;
        border-bottom: 0.3rem solid var(--primary-3-darker-1);
    }
    .business-date-notice span{
    color:var(--danger);
    font-size: 1.7rem;
    font-weight: 300;
    text-align: center;
    text-decoration: none;
    }

    .form-field > label {
        font-size: 1.8rem;
        font-weight: 600;
        
    }

    .form-field select,
    .form-field option,
    .form-field input {
        font-size: 1.8rem;
        font-weight: 500;
        height: 4.2rem;
    }

    legend {
    font-size: 1.8rem;
    font-weight: 600;
    color:var(--dark-back-1);
    padding: 0 var(--space-2);
    }

    .business-date-notice {
        display: inline-block;
        width: fit-content;
    }
    .business-date-notice span{
        font-size: 2.4rem;
        font-weight: 500;
        text-decoration-color: var(--primary-3-darker-1);
        text-underline-offset: 0.8rem;
        text-decoration-thickness: 0.3rem;
    }
    /* phone number */
    .phone-row {
        margin: var(--space-4) var(--space-8);
        display: flex;
        align-items: center;
        justify-content: flex-start;
        gap:var(--space-8)
    }

    .phone-row input{
        font-size: 1.8rem;
        padding: var(--space-2) var(--space-4);
        height: 4.2rem;
        max-width: 32.4rem;
    }

    .phone-row button{
        padding: var(--space-2) var(--space-4);
        font-size: 1.8rem;
    }
    /* prices */
    .price-row div {
        display: flex;
        align-items: center;
        margin:var(--space-4) var(--space-2)
    }

    .price-row div label{
        font-size: 1.8rem;
        width: 100%;
    }

    .price-row div input,
    .price-row div select{
        font-size: 1.8rem;
        height: 4.2rem;
        width: 100%;
    }

    .price-row div:focus-within label{
        text-shadow: var(--shadow-sm);
    }

    .price-row div input:focus-within,
    .price-row div select:focus-within{
        box-shadow: var(--shadow-md);
    }

    .price-row > button {
        font-size: 1.8rem;
        justify-self: flex-end;
        align-self: flex-end;
        background-color: var(--warning);
        padding: var(--space-2) var(--space-4);
        margin-bottom: var(--space-4);
        margin-left: var(--space-2);
    }


    .secondary-button {
        font-size: 1.8rem;
        margin:var(--space-8) var(--space-8);

        padding: var(--space-2) var(--space-4);
    }

    .secondary-button img {
        width: 2.4rem;
        height: 2.4rem;
    }

    /* description */
    .description-container textarea{
        padding: var(--space-8);
        font-size: 2.4rem;
        height: 12.8rem;
    }
}

